| Win32 Libraries (Win32 package) | Source code | Contents | Index

System.Win32.Time

Portability | portable
Stability | provisional
Maintainer | Esa Ilari Vuokko <ei@vuokko.info>

Description
A collection of FFI declarations for interfacing with Win32 Time API.
Documentation
newtype FILETIME

Constructors

FILETIME DDWORD |

Instances

Eq FILETIME
Ord FILETIME
Show FILETIME
Storable FILETIME

data SYSTEMTIME

Constructors

SYSTEMTIME |

wYear, wMonth, wDayOfWeek, wDay, wHour, wMinute, wSecond, wMilliseconds :: WORD |

Instances

Eq SYSTEMTIME
Ord SYSTEMTIME
Show SYSTEMTIME
Storable SYSTEMTIME

data TIME_ZONE_INFORMATION

Constructors

TIME_ZONE_INFORMATION |

tziBias :: LONG |
tziStandardName :: String |
tziStandardDate :: SYSTEMTIME |
tziStandardBias :: LONG |
tziDaylightName :: String |
tziDaylightDate :: SYSTEMTIME |
tziDaylightBias :: LONG |

Instances

Eq TIME_ZONE_INFORMATION
Ord TIME_ZONE_INFORMATION
Show TIME_ZONE_INFORMATION
Storable TIME_ZONE_INFORMATION

data TimeZoneId

Constructors

TzIdUnknown |
TzIdStandard |
TzIdDaylight |

Instances

Eq TimeZoneId
Ord TimeZoneId
Show TimeZoneId

c_GetSystemTime :: Ptr SYSTEMTIME -> IO ()
getSystemTime :: IO SYSTEMTIME
c_SetSystemTime :: Ptr SYSTEMTIME -> IO BOOL
setSystemTime :: SYSTEMTIME -> IO ()
c_GetSystemTimeAsFileTime :: Ptr FILETIME -> IO ()
getSystemTimeAsFileTime :: IO FILETIME
c_GetLocalTime :: Ptr SYSTEMTIME -> IO ()
getLocalTime :: IO SYSTEMTIME
c_SetLocalTime :: Ptr SYSTEMTIME -> IO BOOL
setLocalTime :: SYSTEMTIME -> IO ()
c_GetSystemTimeAdjustment :: Ptr DWORD -> Ptr DWORD -> Ptr BOOL -> IO BOOL
getSystemTimeAdjustment :: IO (Maybe (Int, Int))
getTickCount :: IO DWORD
c_SetSystemTimeAdjustment :: DWORD -> BOOL -> IO BOOL
setSystemTimeAdjustment :: Maybe Int -> IO ()
c_GetTimeZoneInformation :: Ptr TIME_ZONE_INFORMATION -> IO DWORD
getTimeZoneInformation :: IO (TimeZoneId, TIME_ZONE_INFORMATION)
c_SystemTimeToFileTime :: Ptr SYSTEMTIME -> Ptr FILETIME -> IO BOOL
systemTimeToFileTime :: SYSTEMTIME -> IO FILETIME
c_FileTimeToSystemTime :: Ptr FILETIME -> Ptr SYSTEMTIME -> IO BOOL
fileTimeToSystemTime :: FILETIME -> IO SYSTEMTIME
c_GetFileTime :: HANDLE -> Ptr FILETIME -> Ptr FILETIME -> Ptr FILETIME -> IO BOOL
getFileTime :: HANDLE -> IO (FILETIME, FILETIME, FILETIME)
c_SetFileTime :: HANDLE -> Ptr FILETIME -> Ptr FILETIME -> Ptr FILETIME -> IO BOOL
setFileTime :: HANDLE -> FILETIME -> FILETIME -> FILETIME -> IO ()
c_FileTimeToLocalFileTime :: Ptr FILETIME -> Ptr FILETIME -> IO BOOL
fileTimeToLocalFileTime :: FILETIME -> IO FILETIME
c_LocalFileTimeToFileTime :: Ptr FILETIME -> Ptr FILETIME -> IO BOOL
localFileTimeToFileTime :: FILETIME -> IO FILETIME
c_QueryPerformanceFrequency :: Ptr LARGE_INTEGER -> IO BOOL
queryPerformanceFrequency :: IO Integer
c_QueryPerformanceCounter :: Ptr LARGE_INTEGER -> IO BOOL
queryPerformanceCounter :: IO Integer
type GetTimeFormatFlags = DWORD
lOCALE_NOUSEROVERRIDE :: GetTimeFormatFlags
lOCALE_USE_CP_ACP :: GetTimeFormatFlags
tIME_NOMINUTESORSECONDS :: GetTimeFormatFlags
tIME_NOSECONDS :: GetTimeFormatFlags
tIME_NOTIMEMARKER :: GetTimeFormatFlags
tIME_FORCE24HOURFORMAT :: GetTimeFormatFlags
c_GetTimeFormat :: LCID -> GetTimeFormatFlags -> Ptr SYSTEMTIME -> LPCTSTR -> LPTSTR -> CInt -> IO CInt
getTimeFormat :: LCID -> GetTimeFormatFlags -> SYSTEMTIME -> String -> IO String
Produced by Haddock version 0.8